@charset "UTF-8";


/* desktop */
.desktopOnly,
:is(button, .button).icon.desktopOnly {
	content-visibility: hidden;
	display: none;
}



/* Application Views */
#content .styled-list .applications.styled-table li {
	flex-direction: column;
	padding: 1rem;
}

#content .styled-list .manage-links {
	width: 100%;
}

#content .styled-list .manage-links a {
	color: var(--brand-color);
	font-size: 0.875em;
	line-height: 1em;
	padding: 0.75em 1em;
	box-shadow: inset 0 0 0 1px color-mix(in srgb, var(--brand-color) 25%, transparent);
}

#content .styled-list .manage-links a.view {
	background: var(--brand-color);
	color: #fff;
	order: 1;
}

#content .styled-list .manage-links a.edit {
	order: 2;
}

#content .styled-list .manage-links a.job-info {
	order: 3;
}

#content .styled-list .manage-links a.chart {
	order: 4;
}

#content .styled-list .manage-links a.delete {
	background: var(--light-red);
	box-shadow: 0 0 0 1px var(--red-accessible);
	color: var(--red-accessible);
	margin-left: auto;
	order: 5;
}




/* APPLICATION ------------------------------ */

:is(.exam-registration, .job-application) .form-row.error {
	padding-left: 1em;
	padding-right: 1em;
}

:is(.exam-registration, .job-application) .answer {
	margin-top: 0.25em;
}

:is(.exam-registration, .job-application) .answer>[type=file] {
	margin: 0.5em 0;
}

.job-application .form-field {
    grid-template-columns: 1fr auto;
}

.job-application .form-field {
	align-items: end;
}

.job-application .form-row:is(.yes-no, .multiple-radios, .multiple-checkboxes, .file-upload) .question,
.job-application .form-row:is(.yes-no, .multiple-radios, .multiple-checkboxes, .file-upload) .required,
.job-application .form-row:is(.yes-no, .multiple-radios, .multiple-checkboxes, .file-upload) .answer {
    grid-column: 1 / -1;
}

.job-application .form-row:is(.yes-no, .multiple-radios, .multiple-checkboxes, .file-upload) .question {
    grid-row: 1;
}

.job-application .form-row:is(.yes-no, .multiple-radios, .multiple-checkboxes, .file-upload) .required {
    grid-row: 2;
	margin-top: 0.5em;
}

.job-application .form-row:is(.yes-no, .multiple-radios, .multiple-checkboxes, .file-upload) .answer {
    grid-row: 3;
}

.job-application .form-field .answer {
    grid-column: 1 / -1;
}


.job-application .form-row.file-upload .button.remove {
	aspect-ratio: unset;
	color: var(--red-accessible);
}

.job-application .form-row.file-upload .button.remove:is(:hover, :focus-visible) {
	background: none;
	color: var(--red-accessible);
}

.job-application .form-row.file-upload .button.remove:before,
.job-application .form-row.file-upload .button.remove:is(:hover, :focus-visible):before {
	background: var(--red-accessible);
}

.job-application .form-actions {
    align-items: center;
	/* position: sticky; */
	/* bottom: 0; */
	background: linear-gradient(180deg, rgba(255, 255, 255, 0.00) 0%, rgba(255, 255, 255, 0.90) 25%);
	display: flex;
	justify-content: space-between;
	gap: 1rem;
	padding: 1em;
	width: calc(100% + 2em);
	margin: 2em -1em 0;
}

.job-application.review-and-submit .form-actions {
	border-top: 1px dashed #979797;
	flex-direction: column;
	margin: 2em 0 0;
	padding: 4em 0 0;
	position: relative;
	width: 100%;
}

#toggle-page-nav {
	justify-content: space-between;
}

.job-application .form-actions :is(button, .button) {
	justify-content: center;
	line-height: 2.9375rem;
}

.job-application .form-actions>*:not(.alert-danger) {
	padding: 0 1em;
	flex: 1 1 auto;
}

.job-application .form-actions>.alert-danger {
	margin: 0;
}

.job-application .form-actions [type=submit] {
	position: relative;
}

.job-application.not-finished #content {
	padding-bottom: 1em;
}

.form-fields #toggle-page-nav {
	width: 100%;
}

:is(.exam-registration, .job-application) h2.accepted-cards:after {
	width: 11.25rem;
}

/* View submitted application */
.form-answers .form-row {
	display: flex;
	flex-direction: column;
	gap: 0.35em;
	padding: 1em;
}

#callouts .callout {
	width: 100%;
}

@media print {
	body {
		font-size: 12px;
	}

	#content h2 {
		font-size: 14px !important;
		margin: 0 0 5px !important;
	}

	#content hr {
		border-color: #666;
	}

	#content .form-answers .form-row {
		align-content: start;
		align-items: start;
		display: grid;
		border-radius: 0;
		gap: 2em;
		grid-template-columns: 1.5fr 1fr;
		justify-content: start;
		padding: 0;
	}

	#content .form-answers .form-row+.form-row {
		padding-top: 5px;
		border-top: 1px dotted #666;
		margin-top: 5px;
	}

	.Disclaimer {
		padding: 5px 0 0;
		border: 0;
		border-top: 1px solid #666;
		font-style: italic;
	}

}